{ --------------------------------------------------------------- }
{ Dieser Quelltext ist urheberrechtlich geschuetzt.               }
{ (c) 2003-2010 FreeXP, http://www.freexp.de                      }
{ OVERXMS 1.2 - Loads overlays in XMS.                            }
{               Written by Wilbert van Leijen                     }
{               modifyed by FreeXP in 2004                        }
{ --------------------------------------------------------------- }
{ $Id: overxms.pas,v 1.9 2010/06/27 09:32:13 mw Exp $ }

{ BUG Fix in OVERXMS.ASM by Arnold Bailey [72020,136]   BIX abailey 1/03/93 }

Unit OverXMS;

{$O- }

Interface
uses Overlay;

Const
  ovrNoXMSDriver = -7;                 { No XMS driver installed }
  ovrNoXMSMemory = -8;                 { Insufficient XMS memory available }

Var 
  ovrmemsize : word;

Procedure OvrInitXMS;
Function Size_OVR:integer;

Implementation

Procedure OvrInitXMS; External;
Function Size_OVR:integer; External;
{$L OVERXMS.OBJ }

end.  { OverXMS }
{
  $Log: overxms.pas,v $
  Revision 1.9  2010/06/27 09:32:13  mw
  - Release 3.42 (27.06.2010)

  Revision 1.8  2009/05/17 07:30:44  mw
  MW: - Uebernahme von Fehlerkorrekturen aus Overxms 1.2

  Revision 1.7  2008-12-26 18:37:14  mw
  - Aktualisierung auf Version 3.45

  Revision 1.6  2008-01-01 20:59:24  mw
  MW: - Frohes neues Jahr 2008

  Revision 1.5  2007/01/23 16:16:42  mw
  MW: - Neues Jahr 2007

  Revision 1.4  2006/01/02 12:28:50  mw
  MW: - Frohes neues Jahr 2006

  Revision 1.3  2004/10/04 11:25:22  mw
  MW: - Gre des OVRs wird jetzt nicht mehr ber die Gre der (jetzt
        nicht mehr existierende) Datei XP.OVR ermittelt, sondern ber
        eine Assemblerfunktion.

  Revision 1.2  2003/06/25 17:25:23  tw
  auto-de-branching

  Revision 1.1.1.2  2003/04/16 13:48:20  mw
  MW: - Neue Berechnungsmethode fr XMS-Belegung durch Openxp/16
        (In overxms.asm wird die Gre des XMS-Blocks gesichert).

  Revision 1.1.1.1  2003/01/10 17:59:35  mw
  Import OVRXMS

}
 